/* ccgo: root_proper.hh
 * 
 * Copyright 2002 Chun-Chung Chen <cjj@u.washington.edu>
 * 
 * This program is free software; you can redistribute it and'or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 */

#ifndef ROOT_PROPER_HH
#define ROOT_PROPER_HH
#include "proper.hh"
namespace go {
	class RootProper :
		virtual public Proper
	{
		unsigned size;
		double komi;
		std::string game_name;
	public:
		RootProper();
		RootProper(const RootProper &);
		virtual Proper * dup() const;
		void build(const Game &, const sgf::Node &);
		void set_size(unsigned);
		void set_komi(double);
		void set_game_name(const std::string &);
		unsigned get_size() const;
		double get_komi() const;
		const std::string & get_game_name() const;
	};
}
#endif // ROOT_PROPER_HH
